## python-pynetbox 5.3.1

=== requirements.txt ===
requests>=2.20.0,<3.0
six==1.*

=== debian/changelog ===
python-pynetbox (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Wed, 20 Jan 2021 09:36:47 +0100

python-pynetbox (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Update to latest Debian standards version

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Tue, 05 Jan 2021 10:09:21 +0100

python-pynetbox (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Sun, 27 Sep 2020 10:57:45 +0200

python-pynetbox (5.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #920925).

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Wed, 05 Aug 2020 00:18:22 +0200

=== debian/control ===
Source: python-pynetbox
Maintainer: Johann Queuniet <sub_code.debian@queuniet.fr>
Section: python
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-requests,
               python3-six
Homepage: https://github.com/digitalocean/pynetbox
Vcs-Browser: https://salsa.debian.org/jqueuniet/python-pynetbox/
Vcs-Git: https://salsa.debian.org/jqueuniet/python-pynetbox.git
Rules-Requires-Root: no

Package: python3-pynetbox
Architecture: all
Description: Python API client library for NetBox
 This Python module provides a client API to query and edit a
 Netbox server API.
 .
 This package installs the library for Python 3.
Depends: ${python3:Depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# A working Netbox instance is needed for tests
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

# The six==1.* dependency doesn't translate properly (broken `= 1.` version)
override_dh_gencontrol:
	sed -i s/\(=\ 1.\)/\(\<\<\ 2\)/ debian/python3-pynetbox.substvars
	dh_gencontrol

## python-pynetbox 6.6.0

=== debian/changelog ===
python-pynetbox (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0
  * Update copyright years

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Mon, 07 Feb 2022 09:36:35 +0100

python-pynetbox (6.4.1-1) unstable; urgency=medium

  * Update Debian standard version
  * Update debian helper compat level
  * New upstream version 6.4.1
  * Update copyright date

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Thu, 23 Dec 2021 22:51:45 +0100

python-pynetbox (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Thu, 19 Aug 2021 14:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Johann Queuniet <sub_code.debian@queuniet.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 10),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pynetbox-$1\.tar\.gz/ \
  https://github.com/digitalocean/pynetbox/tags .*/v?(\d\S+)\.tar\.gz

## python-pynetbox 7.0.0

=== requirements.txt ===
requests>=2.20.0,<3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pynetbox
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-pynetbox (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Update copyright year
  * Update Debian policy version
  * Remove six dependency following upstream drop of Python 2

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Sat, 14 Jan 2023 23:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Johann Queuniet <sub_code.debian@queuniet.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-requests,
-               python3-six
+               python3-requests
 Homepage: https://github.com/digitalocean/pynetbox
 Vcs-Browser: https://salsa.debian.org/jqueuniet/python-pynetbox/
 Vcs-Git: https://salsa.debian.org/jqueuniet/python-pynetbox.git

## python-pynetbox 7.4.1

=== requirements.txt ===
requests>=2.32.3,<3.0
urllib3>=2.2.3,<3
packaging

=== docs/requirements.txt ===
sphinx<8.0.0
sphinx_rtd_theme<2.0.0
readthedocs-sphinx-search<0.4.0
pynetbox

=== debian/changelog ===
python-pynetbox (7.4.1-1) unstable; urgency=medium

  * Releasing 7.4.1-1
  * New upstream version 7.4.1
  * Update copyright year
  * Update Debian policy version

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Mon, 13 Jan 2025 10:08:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Johann Queuniet <sub_code.debian@queuniet.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

# A working Netbox instance is needed for tests
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pynetbox 7.6.1

=== debian/changelog ===
python-pynetbox (7.6.1-1) unstable; urgency=medium

  * Releasing 7.6.1-1
  * New upstream version 7.6.1
  * Update copyright year
  * Update Debian policy version

 -- Johann Queuniet <sub_code.debian@queuniet.fr>  Fri, 30 Jan 2026 11:12:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Johann Queuniet <sub_code.debian@queuniet.fr>
 Section: python
 Priority: optional
-Standards-Version: 4.7.0.2
+Standards-Version: 4.7.3.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
